<?php
/**
 * Created by PhpStorm.
 * User: leonardocarvalho
 * Date: 04/12/14
 * Time: 15:08
 */

namespace Avaliacao\Util;


class Mail {

    /**
     * Template padrão para envios de email da Avaliação e Pesquisa
     *
     * @param $nome
     * @param $content1
     * @param $content2
     * @param $bottom
     * @return string
     *
     * @author leonardocarvalho 04/12/2014
     */
    private static function getTemplatePadrao($nome, $content1, $content2, $bottom) {

        $nrorg = \FPA::getNrorgTrabalho();
        $logo_bottom = 'http://avaliacao.pebbian.com/zeedhi-dyman/projects/avaliacao/pebbian_logotipo.png';
        $logo_organização = 'http://avaliacao.pebbian.com/zeedhi-dyman/projects/avaliacao/teknisa-logo.png';

        $template = <<<HTML
                    <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
                    <html>
                    <head>
                        <title>Recuperação de Senha</title>
                    </head>
                    <body style="text-align: center; padding-top: 2%; padding-left: 22%; background-color: rgb(118, 192, 179); margin: 0px; height: auto;">
                        <div style="width:672px; height:450px; box-shadow: 10px 10px 5px #78887d;">
                            <table cellpadding="0" cellspacing="0" style="width: 674px; height: 375px; margin: 0 auto;">
                                <tr style="background-color: #FFF">
                                    <td height="20">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr style="background-color: #FFF;">
                                    <td style="text-align: center;">
                                        <img src="$logo_organização" />
                                    </td>
                                </tr>
                                <tr style="background-color: #FFF">
                                    <td height="35">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr style="background-color: #FFF; text-align: left; font: normal 14px Arial, Tahoma, sans-serif; color: #333;">
                                    <td>
                                        <table cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td width="24"></td>
                                                <td height="193">
                                                    <h1 style="font-size: 20px; margin: 0 0 15px 0; color: #76c0b3;">Prezado(a) $nome</h1>
                                                    <p style="margin: 0; padding: 0 0 12px 0; line-height: 17px; text-align: justify;">
                                                        $content1
                                                    </p>
                                                    <p style="margin: 0; padding: 0 0 12px 0; line-height: 17px; text-align: justify;">
                                                        $content2
                                                    </p>
                                                </td>
                                                <td width="24"></td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr style="background-color: #FFF">
                                    <td>
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr style="background-color: #1b9772; color: #FFF; font: normal 13px Arial, Tahoma, sans-serif;">
                                    <td height="17">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr style="background-color: #1b9772; color: #FFF; font: normal 13px Arial, Tahoma, sans-serif;">
                                    <td align="center">
                                        Tem alguma dúvida? Quer nos dar sugestões? <b>Entre em contato conosco.</b>
                                    </td>
                                </tr>
                                <tr style="background-color: #1b9772; color: #FFF; font: normal 13px Arial, Tahoma, sans-serif;">
                                    <td height="10">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <table cellpadding="0" cellspacing="0">
                                            <tr style="color: #FFF; font: normal 14px Arial, Tahoma, sans-serif; text-align: left;">
                                                <td style="padding-right: 30px; padding-top: 30px; padding-left: 30px;">
                                                    <img src="$logo_bottom" />
                                                </td>
                                                <td valign="bottom">
                                                    $bottom
                                                     <br /><br />
                                                </td>
                                            </tr>
                                        </table>
                                        <br /><br /><br /><br /><br />
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </body>
                    </html>
HTML;

        return $template;

    }

    /**
     * Carrega template do body do email
     * @param $nome
     * @param $dataLimite
     * @param $horaLimite
     * @param $nomeOperadorLogado
     * @return string $template
     * @author leonardocarvalho
     */
    public static function getTemplateAvaliacoesPendentes($nome, $dataLimite, $horaLimite, $nomeOperadorLogado){

        $content1 = "No sistema de Avaliação e Pesquisa constam pendências em seu nome. ".
                    "Por favor regularize, pois o prazo final é dia $dataLimite até às $horaLimite ".
                    "e sua avaliação ficará prejudicada caso não à finalize.<br /><br />".
                    "Atenciosamente,<br />$nomeOperadorLogado.<br />";
        $content2 = "Acesse o questionário pelo link: http://avaliacao.pebbian.com/questionario";
        $bottom   = "Você está recebendo esse email por existir pendência em seu nome na Avaliação e Pesquisa.";

        return self::getTemplatePadrao($nome, $content1, $content2, $bottom);
    }

    /**
     * Envia email
     *
     * @param $emailOperadorLogado
     * @param $nomeOperadorLogado
     * @param $content
     * @param $subject
     * @param $email
     * @param $nome
     * @param $cont
     * @internal param $nrparcnegocio
     * @return mixed
     */
    public static function enviar_email($emailOperadorLogado, $nomeOperadorLogado, $content, $subject, $email, $nome, $cont)
    {
        try {

            $mail = new \Zend_Mail();
            $mail->setFrom($emailOperadorLogado, utf8_decode($nomeOperadorLogado));
            $mail->addTo($email, utf8_decode($nome));
            $mail->setBodyHtml(utf8_decode($content), null, 'UTF-8');
            //$mail->addCc($emailOperadorLogado, utf8_decode($nomeOperadorLogado));
            $mail->setSubject(utf8_decode($subject));
            $mail->send();

            $cont++;

        } catch (\Exception $e) {
            tk_warning('Nao foi possivel enviar e-mail para o destinatario ' . $nome);
        }

        return $cont;
    }

} 