/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CLASSE                                                   */
/* Tabela : CLASSE                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 07/10/2003 Jos Sant'Anna                                                  */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_CLASSE
BEFORE INSERT OR UPDATE OR DELETE
ON CLASSE FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCLAS := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.SGCLASSE,0) <> NVL(:NEW.SGCLASSE,0)) OR
         (NVL(:OLD.CDCLASSE,0) <> NVL(:NEW.CDCLASSE,0)) OR
         (NVL(:OLD.DSCLASSE,0) <> NVL(:NEW.DSCLASSE,0)) THEN
         :NEW.DTULTATUCLAS := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CLASSE', '', 'CDCLASSE='||:OLD.CDCLASSE||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CLASSE MODIFY DTULTATUCLAS DEFAULT SYSDATE
/
